POST /rapid/getstatus
This documentation is no longer supportedFor the latest information on our API, see Getting Started with the RedEye API
You can retrieve the status of a RAPID send by providing an appropriate token. A unique token is returned in the response from your RAPID sendemail, sendsms or sendpush command, which you can then pass in to the RAPID getstatus command to retrieve the status of the original send.
Body Sample
{
"token": "string"
}
Body Schema
{} RapidGetStatus
Token string: A unique token that identifies a particular batch. This is returned in the response of a RAPID command.
Response Sample
{
"status": "string",
"recipients": 0,
"sent": 0,
"failed": 0
}
Response Shema
{} RapidGetStatusResponse
Statusstring: QUEUE - initial state when the API is called. The batch is waiting in the API job queue to be processed. The frequency of a request being picked up is every one minute. FAILED - the schedule could not be processed, for example; "unknown schedule". PROCESSING - the recipients are being processed in the database. The frequency at which recipients are moved to the Processed state is dependent on the volume of recipients in the request. PROCESSED - the recipients have been processed and messages have been sent. The frequency at which results are processed from the database into the Done state is every five minutes. DONE - the API database has been updated with the recipient statuses. The frequency rate at which records are processed may take up to one minute longer than stated above depending on which point in the frequency cycle the requests are picked up.
Recipientsinteger: The number of total recipients.
Sentinteger: The number of recipients who successfully received the message.
Failedinteger: The number of recipients who did not receive the message due to incorrect email addresses or mobile numbers.
